Accounting Sync Operation
The accounting sync operation resource.
Basehttps://rest.carbon.ms/accountingSyncOperation
GET
/accountingSyncOperationList accounting sync operations
Retrieve a paginated list of accounting sync operations. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/accountingSyncOperation
curl --request GET \
--url 'https://rest.carbon.ms/accountingSyncOperation?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"integration": "string",
"entityType": "string",
"entityId": "xyz789",
"direction": "string",
"trigger": "string",
"status": "string"
}
]GET
/accountingSyncOperationRetrieve a accounting sync operation
Fetch a single accounting sync operation by filtering on `id`.
Query parameters
idstringMatch on the accounting sync operation's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/accountingSyncOperation
curl --request GET \
--url 'https://rest.carbon.ms/accountingSyncOperation?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"integration": "string",
"entityType": "string",
"entityId": "xyz789",
"direction": "string",
"trigger": "string",
"status": "string"
}POST
/accountingSyncOperationCreate a accounting sync operation
Create a new accounting sync operation.
Body parameters
integrationstringrequiredentityTypestringrequiredentityIdstringrequireddirectionstringrequiredtriggerstringrequiredstatussyncOperationStatusrequiredidempotencyKeystringrequiredattemptCountnumberrequiredlastAttemptAttimestampcompletedAttimestamperrorCodestringerrorMessagestringexternalIdstringmetadataobjectPOSThttps://rest.carbon.ms/accountingSyncOperation
curl --request POST \
--url https://rest.carbon.ms/accountingSyncOperation \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"integration":"string","entityType":"string","entityId":"xyz789","direction":"string","trigger":"string","status":"string","idempotencyKey":"string","attemptCount":10}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"integration": "string",
"entityType": "string",
"entityId": "xyz789",
"direction": "string",
"trigger": "string",
"status": "string"
}PATCH
/accountingSyncOperationUpdate a accounting sync operation
Update an existing accounting sync operation, matched on `id`.
Body parameters
integrationstringrequiredentityTypestringrequiredentityIdstringrequireddirectionstringrequiredtriggerstringrequiredstatussyncOperationStatusrequiredidempotencyKeystringrequiredattemptCountnumberrequiredlastAttemptAttimestampcompletedAttimestamperrorCodestringerrorMessagestringexternalIdstringmetadataobjectPATCHhttps://rest.carbon.ms/accountingSyncOperation
curl --request PATCH \
--url 'https://rest.carbon.ms/accountingSyncOperation?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"integration":"string"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"integration": "string",
"entityType": "string",
"entityId": "xyz789",
"direction": "string",
"trigger": "string",
"status": "string"
}DELETE
/accountingSyncOperationDelete a accounting sync operation
Delete a accounting sync operation, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the accounting sync operation to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/accountingSyncOperation
curl --request DELETE \
--url 'https://rest.carbon.ms/accountingSyncOperation?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content